network/services/lldpd: Fix missing dependency when using JSON
[openwrt/staging/chunkeey.git] / package / network / services / lldpd / Config.in
1 menu "Configuration"
2 depends on PACKAGE_lldpd
3
4 config LLDPD_WITH_PRIVSEP
5 bool
6 default y
7 prompt "Enable privilege separation (run lldpd with a chrooted 'lldp' user)"
8
9 config LLDPD_WITH_CDP
10 bool
11 default y
12 prompt "Enable support for the Cisco Discovery Protocol (CDP) version 1 and 2"
13
14 config LLDPD_WITH_FDP
15 bool
16 default y
17 prompt "Enable support for the Foundry Discovery Protocol (FDP)"
18
19 config LLDPD_WITH_EDP
20 bool
21 default y
22 prompt "Enable support for the Extreme Discovery Protocol (EDP)"
23
24 config LLDPD_WITH_SONMP
25 bool
26 default y
27 prompt "Enable support for the SynOptics Network Management Protocol"
28
29 config LLDPD_WITH_LLDPMED
30 bool
31 prompt "Enable LLDP-MED extension"
32 default y
33
34 config LLDPD_WITH_DOT1
35 bool
36 prompt "Enable Dot1 extension (VLAN stuff)"
37 default y
38
39 config LLDPD_WITH_DOT3
40 bool
41 prompt "Enable Dot3 extension (PHY stuff)"
42 default y
43
44 config LLDPD_WITH_CUSTOM
45 bool
46 prompt "Enable Custom TLVs"
47 default y
48
49 config LLDPD_WITH_JSON
50 bool
51 prompt "Enable JSON output for the LLDP Command-Line Interface"
52 select PACKAGE_json-c
53 default n
54
55 endmenu